Login complains "Your environment specifies an invalid locale", doesn't say which locale

Bug #1558069 reported by Graham Leggett on 2016-03-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cloud-init
Low
Scott Moser
cloud-init (Ubuntu)
Low
Unassigned

Bug Description

On login to a brand new trusty machine with all updates applied, the following message appears:

_____________________________________________________________________
WARNING! Your environment specifies an invalid locale.
 This can affect your user experience significantly, including the
 ability to manage packages. You may install the locales by running:

   sudo apt-get install language-pack-UTF-8
     or
   sudo locale-gen UTF-8

To see all available language packs, run:
   apt-cache search "^language-pack-[a-z][a-z]$"
To disable this message for all users, run:
   sudo touch /var/lib/cloud/instance/locale-check.skip
_____________________________________________________________________

- The message complains about an invalid locale, but then doesn't tell you what the locale is or what is invalid about it.

- The suggested advice "sudo apt-get install language-pack-UTF-8" breaks as follows:

ubuntu@z4-dev-black-wap01:~$ sudo apt-get install language-pack-UTF-8
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package language-pack-UTF-8

The above warning needs to be fixed to contain the locate that is invalid, and to provide accurate package names in the advice given to fix it.

Related branches

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Can you send the output of "env | grep LC_"?

This looks like your SSH client is sending an invalid locale.
-----BEGIN PGP SIGNATURE-----

iQIcBAEBCgAGBQJW6ZcSAAoJEETWil5UBqhmRVoP/RSmU7NMQU8+oW20aacVdEkj
RFZqMFnFsKcCmHTMRfK/W2qvZoiX+txHouUERK7aE8qDRZZmiQNj+msTmIVUiVhU
+DLRzGCiznbpSTvOrNsD9Tui26sEbZXKJY/Mtq1nd0CShvsVJQt9YyTtWdFDXh4t
AqvI0oedZpFPV5jNP13MerttdTM1ngsfOJJMk/5Fg+LH1hnTm5Hr+XKIdy5TC0mm
L7d78I88kvBnZ4dQqf86Ohd4WdplhXB3l8m9luZr8IeM22Mqmc1SRk6kkfh/KJdC
ndBWHURTsP/o3jjjJZvqMVczA0SFUX4xgQ5HONeefuEI94V39m9x0OR6KeMzskcj
qktmRQ2kZUxSIA74++iZvURkVYyyDNmWE+Zw92f8sQJ7q1HJRfibbOU82eSTAP5f
9aeS8mb1uV3oR6ye/URp1Aw35T9iHcqg+2ua7EfC72SZa8UzoSnNIkk5Sq47z+ug
gJ3+P3dqYW/DXhN50YtMk8v+gvwCizcrr9OJcrB8X1vPPoYA0isz9k0M3Myetlb9
JuDP044pp8EO4u7SBkYY0LepVHpxN+aaUAEnndxXKKJbYmQf4kd1xLIchI+Al7+s
g4D9Z/qy1ayVrlDMtoiaaqf9mf2itxsu0tpWIL7CqoapoZOKWSSTL5Cy4wCcBktX
g+5siEn0zbAgVpBmHWjx
=Fhm/
-----END PGP SIGNATURE-----

Graham Leggett (minfrin-y) wrote :

Just to clarify, this bug report refers to the error message, not the underlying thing that triggers the error message.

Scott Moser (smoser) wrote :

fixed in trunk at 1195

Changed in cloud-init:
status: New → Fix Committed
assignee: nobody → Scott Moser (smoser)
importance: Undecided → Low
Changed in cloud-init (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.7~bzr1200-0ubuntu1

---------------
cloud-init (0.7.7~bzr1200-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - fix adding of users when no group is specified (LP: #1562918)
    - fix write_files with compressed content (LP: #1565638)
    - systemd: do not specify After of obsolete syslog.target (LP: #1536964)
    - chef: fix chef installation from gems (LP: #1553345)
    - disk_setup: correctly send force to mkfs on block devices (LP: #1548772)
    - locale: list unsupported environment settings in warning (LP: #1558069)
    - fix NoCloud and other datasources if no datasource config (LP: #1514407)

 -- Scott Moser <email address hidden> Wed, 06 Apr 2016 13:07:27 -0400

Changed in cloud-init (Ubuntu):
status: Triaged → Fix Released
Scott Moser (smoser) wrote :

This is fixed in cloud-init 0.7.7.

Changed in cloud-init:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers